import { resolve } from 'path';
import { PluginGenerator } from '../plugin-generator.mjs';

var createPlugin = (cli) => {
  cli.command("create-plugin").argument("<name>").allowUnknownOption().action(async (name, options) => {
    const generator = new PluginGenerator({
      cwd: resolve(process.cwd(), name),
      args: options,
      context: {
        name
      }
    });
    await generator.run();
  });
};

export { createPlugin as default };
