import { generateAppDir } from '../util.mjs';
import global from './global.mjs';
import createNginxConf from './create-nginx-conf.mjs';
import build from './build.mjs';
import tar from './tar.mjs';
import dev from './dev.mjs';
import start from './start.mjs';
import e2e from './e2e.mjs';
import clean from './clean.mjs';
import pm2 from './pm2.mjs';
import test from './test.mjs';
import umi from './umi.mjs';
import upgrade from './upgrade.mjs';
import postinstall from './postinstall.mjs';
import createPlugin from './create-plugin.mjs';

var commands = async (cli) => {
  generateAppDir();
  global(cli);
  createNginxConf(cli);
  build(cli);
  tar(cli);
  dev(cli);
  start(cli);
  e2e(cli);
  clean(cli);
  pm2(cli);
  test(cli);
  umi(cli);
  upgrade(cli);
  postinstall(cli);
  createPlugin(cli);
};

export { commands as default };
