import { resolve } from 'path';
import { hasTsNode, promptForTs, hasCorePackages, runAppCommand, run } from '../util.mjs';
import { existsSync, rmSync } from 'fs';

var upgrade = (cli) => {
  cli.command("upgrade").allowUnknownOption().option("--raw").option("-S|--skip-code-update").action(async (options) => {
    if (hasTsNode())
      promptForTs();
    if (hasCorePackages()) {
      await runAppCommand("upgrade");
      return;
    }
    if (options.skipCodeUpdate) {
      await runAppCommand("upgrade");
      return;
    }
    if (!hasTsNode()) {
      await runAppCommand("upgrade");
      return;
    }
    const appDevDir = resolve(process.cwd(), "./storage/.app-dev");
    if (existsSync(appDevDir)) {
      rmSync(appDevDir, { recursive: true, force: true });
    }
    await run("pnpm", ["add", "@tachybase/cli", "@nocobase/devtools", "-w"]);
    await run("pnpm", ["install"]);
    await runAppCommand("upgrade");
  });
};

export { upgrade as default };
